Subject: Re: bug#28522: Cannot upgrade due to "guix pull" errors

From: Tomáš Čech <[email-masked]>
Date: Wed, 4 Oct 2017 12:16:45 +0200

On Wed, Sep 20, 2017 at 03:08:59AM +0000, Adam Bolte wrote:
>Hi there,
>
>I'm running Guix 0.10.0 on a Debian stretch box, and I'd like to
>upgrade. The box had not been booted for quite some time, hence the
>version is somewhat old.
>
>Running `guix pull`, I get the following:
>
>
>Starting download of /tmp/guix-file.k6X14m
>From http://git.savannah.gnu.org/cgit/guix.git/snapshot/master.tar.gz...
> master.tar.gz                              628KiB/s 00:22 | 13.6MiB transferred
>unpacking '/gnu/store/i17ynp73h182q1n72a6nqsyxk32fkhhr-guix-latest.tar.gz'...
>Your installation is too old and lacks a 'guile2.0-git' package.
>Please upgrade to an intermediate version first, for instance with:
>
>  guix pull --url=https://git.savannah.gnu.org/cgit/guix.git/snapshot/v0.13.0.tar.gz
>

And little note based on my recent experience. v0.13.0. doesn't contain
the package neither. Use this as middle stage pull:

  guix pull --url=https://git.savannah.gnu.org/cgit/guix.git/snapshot/70bc608503f9029a065026a99ec45dbd0ec631c0.tar.gz

That is the commit which defines missing package.

Best regards,

S_W